Vai al contenuto
ShopentlyLearn

Elenca · Varianti del prodotto — Varianti e opzioni

Visualizza elenchi di prodotti e dettagli del prodotto.

GET/api/v1/products/{product_id}/variants

Richiesta cURL

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/products/example/variants?limit=20' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

Risposta

{
  "data": [
    {
      "active": true,
      "created_at": "2026-01-01T12:00:00Z",
      "id": "example",
      "is_default": true,
      "media_ids": [
        "example"
      ],
      "position": 1,
      "pricing": {
        "base_adjustment": {
          "amount": "0.00",
          "currency": "PLN",
          "minor_units": 2
        },
        "market_price": null,
        "price": {
          "amount": "0.00",
          "currency": "PLN",
          "minor_units": 2,
          "tax_included": true
        },
        "product_version": 1,
        "version": 1
      },
      "primary_media_id": "example",
      "product_id": "example",
      "sku": "example",
      "updated_at": "2026-01-01T12:00:00Z",
      "values": [
        {
          "option_id": "example",
          "option_name": "example",
          "value": "example",
          "value_id": "example"
        }
      ],
      "version": 1
    }
  ],
  "meta": {
    "locale": "en",
    "market_code": "PL",
    "market_id": "example",
    "pagination": {
      "has_more": false,
      "limit": 20,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

Permessi necessari

Autenticazione
Token di accesso
Disponibile dal piano
STANDARD
Permesso della chiave
Visualizza i prodotticatalog.product:read